Bug 1525958 - Updating process does not process anything but runs without ending with no results.
Summary: Updating process does not process anything but runs without ending with no re...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnfdragora
Version: 27
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-14 13:52 UTC by ricky.tigg
Modified: 2018-01-01 22:12 UTC (History)
4 users (show)

Fixed In Version: dnfdragora-1.0.1-8.git20171229.24e4647.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-31 21:29:15 UTC


Attachments (Terms of Use)
Dnfdragora – update failing, ending process, error message. (26.94 KB, application/x-gzip)
2017-12-14 13:52 UTC, ricky.tigg
no flags Details

Description ricky.tigg 2017-12-14 13:52:44 UTC
Created attachment 1367989 [details]
Dnfdragora – update failing, ending process, error message.

Description of problem:
Launching the Updating process via dnfdragora, does not process anything but runs without ending with no results (attachment).

Version-Release number of selected component (if applicable):
dnfdragora-1.0.1-6.git20170505.2a3b056.fc27.noarch

How reproducible: Log in to an Xfce session.

Steps to Reproduce:
1. On top panel, right-click icon that represents Dnfdragora -> Update.
Or select Run program... – Enter in search-field "dnfdragora".

Actual results:
Application cannot be quitted neither. In order to stop the involved process, which is dnafdragora-updater (attachment), via System Monitor tool (Processes tab – search-tool, enter “dnafdragora”), the End option has to be selected; The Stop option won't take effect. After that, the launch of Dnfdragora (not the updater) comes along with a warning message (attachment).

Expected results:
To process successfully the update task, and to be able to quit the application and stop process without reboot.

Additional info:
Even after a logout and then a login to a Gnome session, the message error is ready alive in Gnome when launching Dnfdragora. To unlock the process which is involved in this message, a system reboot is required.

Comment 1 Fedora Update System 2017-12-29 23:25:07 UTC
dnfdaemon-0.3.18-5.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 2 Fedora Update System 2017-12-29 23:28:46 UTC
dnfdaemon-0.3.18-5.fc26 dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 3 Fedora Update System 2017-12-30 19:55:32 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 4 Fedora Update System 2017-12-30 20:41:18 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 5 Fedora Update System 2017-12-31 21:29:15 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 ricky.tigg 2018-01-01 20:53:13 UTC
$ sudo dnf install -y dnfdragora --enablerepo=updates-testing
Package dnfdragora-1.0.1-8.git20171229.24e4647.fc27.noarch is already installed, skipping.

Comment 7 Fedora Update System 2018-01-01 22:12:48 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.